GET
/api/members/{memberId}/payment-methods
const url = 'https://example.com/api/members/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/payment-methods';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/members/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/payment-methods \ --header 'Authorization: Bearer <token>'Returns all stored payment methods for a member. The default method (if any) is listed first.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” memberId
required
string format: uuid
The member’s unique identifier.
Responses
Section titled “ Responses ”Payment methods for the member.
Media type application/json
Array<object>
object
id
string format: uuid
merchantId
string format: uuid
memberId
string format: uuid
type
string
brand
string
last4
string
expiryMonth
integer format: int32
expiryYear
integer format: int32
accountName
string
bsb
string
isDefault
boolean
createdAt
string format: date-time
updatedAt
string format: date-time
Example
[ { "type": "Card" }]